# gris_paginator

[gris_paginator](https://github.com/dylanfareed/gris-paginator) provides a simple pagination helper for [Gris](https://github.com/artsy/gris) apps with [Kaminari](https://github.com/amatsuda/kaminari).

gris_paginator is alpha software.

---

### Installation

gris_paginator is [available as a gem on rubygems](https://rubygems.org/gems/gris_paginator), to install it run:

```
gem install gris_paginator
```

Otherwise, if your project uses [Bundler](http://bundler.io/), add gris_paginator to your Gemfile:

```
gem 'gris_paginator'
```

And run:

```
$ bundle install
```

---

### Usage

```ruby
class RegistrationsEndpoint < Grape::API
  namespace :registrations do
    desc 'List existing registrations'
    params do
      requires :account_id, type: Integer, desc: 'Account ID to query for registrations.'
      optional :sort, type: String, default: 'created_at DESC', desc: 'Sort order for registrations.'
      optional :page, type: Integer, default: 1, desc: 'Current page.'
      optional :size, type: Integer, default: 10, desc: 'Number of registrations to return per page.'
    end
    get do
      conditions = { account_id: params[:account_id] }
      paginate Registration, conditions: conditions, with: RegistrationsPresenter
    end
  end
end
```
