RSpec.configure do |config|
  config.before(:all) do
    ActiveRecord::Base.establish_connection(
      adapter: 'sqlite3', database: ':memory:'
    )

    ActiveRecord::Schema.define(version: 1) do
      create_table :beaches do |t|
        t.string :name
      end
    end

    class Beach < ActiveRecord::Base
    end

    module BeachPresenter
      include Gris::Presenter
      property :name, type: String
    end

    module BeachesPresenter
      include Gris::PaginatedPresenter
      collection :to_a, extend: BeachPresenter, as: :beaches, embedded: true
    end
  end
end
